# coding=utf-8
# *** WARNING: this file was generated by the Pulumi Terraform Bridge (tfgen) Tool. ***
# *** Do not edit by hand unless you're certain you know what you are doing! ***

import warnings
import pulumi
import pulumi.runtime
from typing import Any, Mapping, Optional, Sequence, Union, overload
from . import _utilities

__all__ = [
    'GetOrganizationmanagerSamlFederationUserAccountResult',
    'AwaitableGetOrganizationmanagerSamlFederationUserAccountResult',
    'get_organizationmanager_saml_federation_user_account',
    'get_organizationmanager_saml_federation_user_account_output',
]

@pulumi.output_type
class GetOrganizationmanagerSamlFederationUserAccountResult:
    """
    A collection of values returned by getOrganizationmanagerSamlFederationUserAccount.
    """
    def __init__(__self__, federation_id=None, id=None, name_id=None):
        if federation_id and not isinstance(federation_id, str):
            raise TypeError("Expected argument 'federation_id' to be a str")
        pulumi.set(__self__, "federation_id", federation_id)
        if id and not isinstance(id, str):
            raise TypeError("Expected argument 'id' to be a str")
        pulumi.set(__self__, "id", id)
        if name_id and not isinstance(name_id, str):
            raise TypeError("Expected argument 'name_id' to be a str")
        pulumi.set(__self__, "name_id", name_id)

    @property
    @pulumi.getter(name="federationId")
    def federation_id(self) -> str:
        return pulumi.get(self, "federation_id")

    @property
    @pulumi.getter
    def id(self) -> str:
        """
        The provider-assigned unique ID for this managed resource.
        """
        return pulumi.get(self, "id")

    @property
    @pulumi.getter(name="nameId")
    def name_id(self) -> str:
        return pulumi.get(self, "name_id")


class AwaitableGetOrganizationmanagerSamlFederationUserAccountResult(GetOrganizationmanagerSamlFederationUserAccountResult):
    # pylint: disable=using-constant-test
    def __await__(self):
        if False:
            yield self
        return GetOrganizationmanagerSamlFederationUserAccountResult(
            federation_id=self.federation_id,
            id=self.id,
            name_id=self.name_id)


def get_organizationmanager_saml_federation_user_account(federation_id: Optional[str] = None,
                                                         name_id: Optional[str] = None,
                                                         opts: Optional[pulumi.InvokeOptions] = None) -> AwaitableGetOrganizationmanagerSamlFederationUserAccountResult:
    """
    Get information about a user of Yandex SAML Federation. For more information, see
    [the official documentation](https://cloud.yandex.com/docs/organization/operations/federations/integration-common).

    ## Example Usage

    ```python
    import pulumi
    import pulumi_yandex as yandex

    account = yandex.get_organizationmanager_saml_federation_user_account(federation_id="some_federation_id",
        name_id="example@example.org")
    pulumi.export("myFederation.id", account.id)
    ```


    :param str federation_id: ID of a SAML Federation.
    :param str name_id: Name Id of the SAML federated user.
    """
    __args__ = dict()
    __args__['federationId'] = federation_id
    __args__['nameId'] = name_id
    if opts is None:
        opts = pulumi.InvokeOptions()
    if opts.version is None:
        opts.version = _utilities.get_version()
    __ret__ = pulumi.runtime.invoke('yandex:index/getOrganizationmanagerSamlFederationUserAccount:getOrganizationmanagerSamlFederationUserAccount', __args__, opts=opts, typ=GetOrganizationmanagerSamlFederationUserAccountResult).value

    return AwaitableGetOrganizationmanagerSamlFederationUserAccountResult(
        federation_id=__ret__.federation_id,
        id=__ret__.id,
        name_id=__ret__.name_id)


@_utilities.lift_output_func(get_organizationmanager_saml_federation_user_account)
def get_organizationmanager_saml_federation_user_account_output(federation_id: Optional[pulumi.Input[str]] = None,
                                                                name_id: Optional[pulumi.Input[str]] = None,
                                                                opts: Optional[pulumi.InvokeOptions] = None) -> pulumi.Output[GetOrganizationmanagerSamlFederationUserAccountResult]:
    """
    Get information about a user of Yandex SAML Federation. For more information, see
    [the official documentation](https://cloud.yandex.com/docs/organization/operations/federations/integration-common).

    ## Example Usage

    ```python
    import pulumi
    import pulumi_yandex as yandex

    account = yandex.get_organizationmanager_saml_federation_user_account(federation_id="some_federation_id",
        name_id="example@example.org")
    pulumi.export("myFederation.id", account.id)
    ```


    :param str federation_id: ID of a SAML Federation.
    :param str name_id: Name Id of the SAML federated user.
    """
    ...
